> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Entity

> Update an existing subsidiary entity

This endpoint allows you to update a subsidiary entity.

> **Note:** You cannot update your **primary entity** via API for compliance and data consistency reasons. If you need to update the primary entity, please contact support.


## OpenAPI

````yaml PATCH /entities/{id}
openapi: 3.0.1
info:
  title: Antei API Reference
  description: >-
    Programmatic access to Antei’s platform. Use this API to manage core objects
    and retrieve taxation insights.
  version: 1.0.0
  license:
    name: MIT
  contact:
    name: Antei Developer Support
    email: support@antei.com
    url: https://antei.com
servers:
  - url: https://api.antei.com
security:
  - bearerAuth: []
paths:
  /entities/{id}:
    patch:
      summary: Update Entity
      description: >-
        **Note:** Primary entity cannot be updated via API. Use this endpoint
        only for subsidiary entities.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        description: Fields to update for the entity
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewEntity'
      responses:
        '200':
          description: Entity updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entity'
components:
  schemas:
    NewEntity:
      type: object
      required:
        - name
        - country
      properties:
        name:
          type: string
        country:
          type: string
        tax_id:
          type: string
    Entity:
      type: object
      required:
        - id
        - name
        - country
      properties:
        id:
          type: string
          description: Unique ID of the entity
        name:
          type: string
          description: Legal name of the entity
        country:
          type: string
          description: Country of registration
        tax_id:
          type: string
          description: Official tax ID for the entity
        is_primary:
          type: boolean
          description: Indicates whether this is the primary entity
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````